# /* add_entry */
# /* $Id: add_entry.inc,v 1.3 2002/06/27 07:22:26 izzy Exp $ */

[title]
Einleitung

[text]
ber diesen Menpunkt lt sich ein neuer Eintrag in die Datenbank einfgen.
Die meisten Felder dieses Formulars erklren sich selbst, und so soll an dieser
Stelle nur auf die Punkte eingegangen werden, die aus meiner Sicht einer
Erklrung bedrfen:

[title]
*mediatype#

[text]
<IMG SRC="{base_url}help/img/mtype_nr.png" ALT="Editieren eines Eintrages: Medientyp" ALIGN=LEFT HSPACE=5>
Aus der Liste "*mediatype#" (im Bild rot markiert) lt sich der gewnschte
Medientyp auswhlen. Whrend ich diese Box sicher nicht nher erklren mu,
mchte ich an dieser Stelle jedoch auf zwei andere Dinge hinweisen: blau
markiert sind die beiden Eingabefelder fr die Medien-Nummer. Der erste
(maximal vierstellige) Teil dieser Nummer bezeichnet (in Verbindung mit dem
Medientyp) das Medium selbst (mit RVT 68 liee sich also eindeutig die
Videokassette Nummer 68 identifizieren), whrend der zweite (zweistellige) Teil
einen Film auf dem jeweiligen Medium meint. RVT 68-1 wre somit also Film Nummer
1 auf dem selbst bespielten Videoband Nummer 68, 68-2 der zweite u.s.w..
Natrlich kann theoretisch jeder hier sein eigenes Schema hinterlegen - nur
wird phpVideoPro dann nicht unbedingt so reagieren, wie man es vielleicht
erwartet :-) Wichtig ist dieses Modell z.B. bei der Ermittlung von freien
Bandstellen ber den Menpunkt <A HREF="{PHP_SELF}?topic=taperest_absolute">*taperest_absolute#</A>,
da dieses auf der MediaNummer aufbaut. Unntig daher zu erwhnen, da diese
Nummern eindeutig sein mssen - es ist nicht mglich, die gleiche Kombination
aus Medientyp und Mediennummer mehrfach zu speichern. Wer die gleiche DVD also
zweimal hat, mu ihr entweder zwei verschiedene Nummern geben - oder den
entsprechenden Vermerk im Kommentarfeld unterbringen.
[text]
Und nun ein kleines "Gimmik": Wer erinnert sich schon daran, welches die
nchste zu vergebende *medianr# ist, wenn er gerade ein neues Band aufgenommen
oder eine neue DVD gekauft hat? Okay, bei guter Beschriftung kann man u.U. im
Regal nachschauen - aber es geht auch wesentlich bequemer: die in der Abbildung
grn markierte Box enthlt eine Liste der jeweils hchsten vergebenen
Mediennummern fr jeden Medientyp, so da man sich hier schnellstens informieren
kann. Eine in dieser Auswahlbox ggf. getroffenen Auswahl hat jedoch keinerlei
Bedeutung fr die sodann gespeicherten Daten - das Feld wird vom
Aktualisierungs- bzw. Speicherproze ignoriert.
[text]

[title]
*date_rec#

[text]
Das Datum ist in drei Felder aufgeteilt, deren Reihenfolge derzeit statisch
auf Tag-Monat-Jahr festgelegt ist. In einer der nchsten Versionen wird ggf.
auch hierfr das im Konfigurationsmen einstellbare Datumsformat Verwendung
finden, um den verschiedenen Lnderprferenzen Rechnung zu tragen.

[title]
*counter_start_stop#

[text]
Dieser Punkt ist in erster Linie fr Besitzer lterer Videorekorder interessant,
welche noch nicht ber eine Indexfunktion verfgen: diese knnen hier die
jeweiligen Zhlerstnde bei Beginn bzw. Ende der Aufzeichnung eintragen. Da das
Format der Eintragungen in diesen Feldern jedoch nicht festgelegt ist (mit
Ausnahme der Einschrnkung auf maximal 10 Zeichen), kann es auch anderweitig
benutzt werden (z.B. knnen auch die jeweiligen Zeiten von Rekordern mit
Echtzeitzhlwerk eingetragen werden).

[title]
*commercials#

[text]
Dieses Feld ist ja eigentlich selbsterklrend: es dient der Angabe, ob die
Aufzeichnung von Werbeblcken unterbrochen wird ("*yes#"), ob dies nicht der
Fall ist ("*no#"), oder ob sie whrend der Aufnahme von Hand entfernt wurden
("*cut_off#"). Fr den Fall allgemeiner Unsicherheit gibt es auch noch die
Mglichkeit, "*unknown#" auszuwhlen.

[title]
Kategorien

[text]
Die in der ersten Box ausgewhlte Kategorie wird als Hauptkategorie gewertet
und taucht in den Listen zusammen mit den wichtigsten Eckdaten des jeweiligen
Filmes auf. Unabhngig davon werden jedoch bei Suchen bzw. bei gesetzten
<A HREF="{PHP_SELF}?topic=set_filter">Filtern</A> auch die anderen beiden
(Unter-) Kategorien bercksichtigt.

[title]
*staff#

[text]
Etwas Achtsamkeit ist bei der Eingabe dieser Daten angebracht: das erste Feld
sollte den Namen, und das zweite den Vornamen enthalten. Auch hier kann
natrlich wieder jeder seinem Gusto frnen - was aber ggf. einige Funktionen
von phpVideoPro beeinflut. Auf der
<A HREF="http://www.qumran.org/homes/izzy/">Demo-Site</A> habe ich bereits
einige Eintrge gesehen, die sowohl im Namen als auch im Vornamen vollstndige
Namen (also Vor- und Nachname) enthielten. Sucht man nun aber nach einem
bestimmten Darsteller, treten entsprechende Schwierigkeiten auf, wie sich
unschwer bei der Erstellung eines <A HREF="{PHP_SELF}?topic=set_filter">Filters</A>
feststellen lassen wird.

[text]
Zustzlich gibt es zu jedem Namen eine Checkbox "*in_list#", die wiederum mit
einem netten Feature verbunden ist: Bei der Anzeige von Personenlisten, wie
z.B. der <A HREF="{PHP_SELF}?topic=actors">Schauspielerliste</A>, werden nur
die Eintrge bercksichtigt, die hier ein "Hkchen" erhalten haben. Auf diese
Weise lt sich die Anzeige eines Schauspielers fr einen bestimmten Film
unterdrcken (wenn es einem z.B. peinlich ist, da Sascha Hehn auch in einem
70ger Jahre P*rn* der eigenen Sammlung mitgespielt hat, und nicht nur in der
Schwarzwaldklinik :)

[eof]

